Delete a Marker
curl --request DELETE \
--url https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId} \
--header 'X-Honeycomb-Team: <api-key>'import requests
url = "https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}"
headers = {"X-Honeycomb-Team": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Honeycomb-Team': '<api-key>'}};
fetch('https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-Honeycomb-Team: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-Honeycomb-Team", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}")
.header("X-Honeycomb-Team", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-Honeycomb-Team"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"created_at": "2016-08-13T05:39:42Z",
"updated_at": "2016-08-13T05:39:42Z",
"start_time": 1471040808,
"message": "backend deploy #123",
"type": "deploy",
"id": "d1c84ec0"
}{
"error": "unknown API key - check your credentials"
}{
"error": "dataset not found"
}{
"error": "Rate Limited"
}{
"error": "<string>"
}Delete a Marker
DELETE
/
1
/
markers
/
{datasetSlug}
/
{markerId}
Delete a Marker
curl --request DELETE \
--url https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId} \
--header 'X-Honeycomb-Team: <api-key>'import requests
url = "https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}"
headers = {"X-Honeycomb-Team": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Honeycomb-Team': '<api-key>'}};
fetch('https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-Honeycomb-Team: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-Honeycomb-Team", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}")
.header("X-Honeycomb-Team", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.honeycomb.io/1/markers/{datasetSlug}/{markerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-Honeycomb-Team"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"created_at": "2016-08-13T05:39:42Z",
"updated_at": "2016-08-13T05:39:42Z",
"start_time": 1471040808,
"message": "backend deploy #123",
"type": "deploy",
"id": "d1c84ec0"
}{
"error": "unknown API key - check your credentials"
}{
"error": "dataset not found"
}{
"error": "Rate Limited"
}{
"error": "<string>"
}Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
Response
Success The deleted Marker will be in the body of the response.
Groups similar Markers. For example, deploys. All Markers of the same type appear with the same color on the graph. Refer to the Marker Settings API for altering the color of each type.
Example:
"deploy"